(function (cjs, an) {

var p; // shortcut to reference prototypes
var lib={};var ss={};var img={};
lib.ssMetadata = [
		{name:"sandwichphoto_atlas_", frames: [[0,0,542,812],[272,1265,28,48],[272,1315,28,48],[272,1965,28,48],[272,1865,28,48],[272,1765,28,48],[272,1415,28,48],[302,1315,28,48],[302,1415,28,48],[302,1265,28,48],[272,1565,28,48],[272,1815,28,48],[272,1365,28,48],[272,1615,28,48],[302,1465,28,48],[302,1365,28,48],[272,1665,28,48],[272,1465,28,48],[272,1715,28,48],[272,1515,28,48],[272,1221,42,42],[272,1915,28,48],[0,1628,270,405],[0,1221,270,405],[272,814,270,405],[0,814,270,405]]}
];


// symbols:



(lib.CachedTexturedBitmap_45 = function() {
	this.initialize(ss["sandwichphoto_atlas_"]);
	this.gotoAndStop(0);
}).prototype = p = new cjs.Sprite();



(lib.CachedTexturedBitmap_47 = function() {
	this.initialize(ss["sandwichphoto_atlas_"]);
	this.gotoAndStop(1);
}).prototype = p = new cjs.Sprite();



(lib.CachedTexturedBitmap_49 = function() {
	this.initialize(ss["sandwichphoto_atlas_"]);
	this.gotoAndStop(2);
}).prototype = p = new cjs.Sprite();



(lib.CachedTexturedBitmap_51 = function() {
	this.initialize(ss["sandwichphoto_atlas_"]);
	this.gotoAndStop(3);
}).prototype = p = new cjs.Sprite();



(lib.CachedTexturedBitmap_53 = function() {
	this.initialize(ss["sandwichphoto_atlas_"]);
	this.gotoAndStop(4);
}).prototype = p = new cjs.Sprite();



(lib.CachedTexturedBitmap_55 = function() {
	this.initialize(ss["sandwichphoto_atlas_"]);
	this.gotoAndStop(5);
}).prototype = p = new cjs.Sprite();



(lib.CachedTexturedBitmap_57 = function() {
	this.initialize(ss["sandwichphoto_atlas_"]);
	this.gotoAndStop(6);
}).prototype = p = new cjs.Sprite();



(lib.CachedTexturedBitmap_59 = function() {
	this.initialize(ss["sandwichphoto_atlas_"]);
	this.gotoAndStop(7);
}).prototype = p = new cjs.Sprite();



(lib.CachedTexturedBitmap_61 = function() {
	this.initialize(ss["sandwichphoto_atlas_"]);
	this.gotoAndStop(8);
}).prototype = p = new cjs.Sprite();



(lib.CachedTexturedBitmap_63 = function() {
	this.initialize(ss["sandwichphoto_atlas_"]);
	this.gotoAndStop(9);
}).prototype = p = new cjs.Sprite();



(lib.CachedTexturedBitmap_65 = function() {
	this.initialize(ss["sandwichphoto_atlas_"]);
	this.gotoAndStop(10);
}).prototype = p = new cjs.Sprite();



(lib.CachedTexturedBitmap_67 = function() {
	this.initialize(ss["sandwichphoto_atlas_"]);
	this.gotoAndStop(11);
}).prototype = p = new cjs.Sprite();



(lib.CachedTexturedBitmap_69 = function() {
	this.initialize(ss["sandwichphoto_atlas_"]);
	this.gotoAndStop(12);
}).prototype = p = new cjs.Sprite();



(lib.CachedTexturedBitmap_71 = function() {
	this.initialize(ss["sandwichphoto_atlas_"]);
	this.gotoAndStop(13);
}).prototype = p = new cjs.Sprite();



(lib.CachedTexturedBitmap_73 = function() {
	this.initialize(ss["sandwichphoto_atlas_"]);
	this.gotoAndStop(14);
}).prototype = p = new cjs.Sprite();



(lib.CachedTexturedBitmap_75 = function() {
	this.initialize(ss["sandwichphoto_atlas_"]);
	this.gotoAndStop(15);
}).prototype = p = new cjs.Sprite();



(lib.CachedTexturedBitmap_77 = function() {
	this.initialize(ss["sandwichphoto_atlas_"]);
	this.gotoAndStop(16);
}).prototype = p = new cjs.Sprite();



(lib.CachedTexturedBitmap_79 = function() {
	this.initialize(ss["sandwichphoto_atlas_"]);
	this.gotoAndStop(17);
}).prototype = p = new cjs.Sprite();



(lib.CachedTexturedBitmap_81 = function() {
	this.initialize(ss["sandwichphoto_atlas_"]);
	this.gotoAndStop(18);
}).prototype = p = new cjs.Sprite();



(lib.CachedTexturedBitmap_83 = function() {
	this.initialize(ss["sandwichphoto_atlas_"]);
	this.gotoAndStop(19);
}).prototype = p = new cjs.Sprite();



(lib.CachedTexturedBitmap_84 = function() {
	this.initialize(ss["sandwichphoto_atlas_"]);
	this.gotoAndStop(20);
}).prototype = p = new cjs.Sprite();



(lib.CachedTexturedBitmap_85 = function() {
	this.initialize(ss["sandwichphoto_atlas_"]);
	this.gotoAndStop(21);
}).prototype = p = new cjs.Sprite();



(lib.photo1 = function() {
	this.initialize(ss["sandwichphoto_atlas_"]);
	this.gotoAndStop(22);
}).prototype = p = new cjs.Sprite();



(lib.photo2 = function() {
	this.initialize(ss["sandwichphoto_atlas_"]);
	this.gotoAndStop(23);
}).prototype = p = new cjs.Sprite();



(lib.photo3 = function() {
	this.initialize(ss["sandwichphoto_atlas_"]);
	this.gotoAndStop(24);
}).prototype = p = new cjs.Sprite();



(lib.photo4 = function() {
	this.initialize(ss["sandwichphoto_atlas_"]);
	this.gotoAndStop(25);
}).prototype = p = new cjs.Sprite();
// helper functions:

function mc_symbol_clone() {
	var clone = this._cloneProps(new this.constructor(this.mode, this.startPosition, this.loop));
	clone.gotoAndStop(this.currentFrame);
	clone.paused = this.paused;
	clone.framerate = this.framerate;
	return clone;
}

function getMCSymbolPrototype(symbol, nominalBounds, frameBounds) {
	var prototype = cjs.extend(symbol, cjs.MovieClip);
	prototype.clone = mc_symbol_clone;
	prototype.nominalBounds = nominalBounds;
	prototype.frameBounds = frameBounds;
	return prototype;
	}


(lib.photo4_1 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.instance = new lib.photo4();
	this.instance.parent = this;

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

}).prototype = getMCSymbolPrototype(lib.photo4_1, new cjs.Rectangle(0,0,270,405), null);


(lib.photo3_1 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.instance = new lib.photo3();
	this.instance.parent = this;

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

}).prototype = getMCSymbolPrototype(lib.photo3_1, new cjs.Rectangle(0,0,270,405), null);


(lib.photo2_1 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.instance = new lib.photo2();
	this.instance.parent = this;

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

}).prototype = getMCSymbolPrototype(lib.photo2_1, new cjs.Rectangle(0,0,270,405), null);


(lib.photo1_1 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.instance = new lib.photo1();
	this.instance.parent = this;

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

}).prototype = getMCSymbolPrototype(lib.photo1_1, new cjs.Rectangle(0,0,270,405), null);


(lib.buttonpause = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer 1
	this.instance = new lib.CachedTexturedBitmap_79();
	this.instance.parent = this;
	this.instance.setTransform(3.3,0,0.5,0.5);

	this.instance_1 = new lib.CachedTexturedBitmap_84();
	this.instance_1.parent = this;
	this.instance_1.setTransform(0,1.75,0.5,0.5);

	this.instance_2 = new lib.CachedTexturedBitmap_81();
	this.instance_2.parent = this;
	this.instance_2.setTransform(3.3,0,0.5,0.5);

	this.instance_3 = new lib.CachedTexturedBitmap_83();
	this.instance_3.parent = this;
	this.instance_3.setTransform(3.3,0,0.5,0.5);

	this.instance_4 = new lib.CachedTexturedBitmap_85();
	this.instance_4.parent = this;
	this.instance_4.setTransform(3.3,0,0.5,0.5);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_1},{t:this.instance}]}).to({state:[{t:this.instance_1},{t:this.instance_2}]},1).to({state:[{t:this.instance_1},{t:this.instance_3}]},1).to({state:[{t:this.instance_1},{t:this.instance_4}]},1).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,21,24);


(lib.button4 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer 1
	this.instance = new lib.CachedTexturedBitmap_71();
	this.instance.parent = this;
	this.instance.setTransform(3.3,0,0.5,0.5);

	this.instance_1 = new lib.CachedTexturedBitmap_84();
	this.instance_1.parent = this;
	this.instance_1.setTransform(0,1.75,0.5,0.5);

	this.instance_2 = new lib.CachedTexturedBitmap_73();
	this.instance_2.parent = this;
	this.instance_2.setTransform(3.3,0,0.5,0.5);

	this.instance_3 = new lib.CachedTexturedBitmap_75();
	this.instance_3.parent = this;
	this.instance_3.setTransform(3.3,0,0.5,0.5);

	this.instance_4 = new lib.CachedTexturedBitmap_77();
	this.instance_4.parent = this;
	this.instance_4.setTransform(3.3,0,0.5,0.5);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_1},{t:this.instance}]}).to({state:[{t:this.instance_1},{t:this.instance_2}]},1).to({state:[{t:this.instance_1},{t:this.instance_3}]},1).to({state:[{t:this.instance_1},{t:this.instance_4}]},1).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,21,24);


(lib.button3 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer 1
	this.instance = new lib.CachedTexturedBitmap_63();
	this.instance.parent = this;
	this.instance.setTransform(3.3,0,0.5,0.5);

	this.instance_1 = new lib.CachedTexturedBitmap_84();
	this.instance_1.parent = this;
	this.instance_1.setTransform(0,1.75,0.5,0.5);

	this.instance_2 = new lib.CachedTexturedBitmap_65();
	this.instance_2.parent = this;
	this.instance_2.setTransform(3.3,0,0.5,0.5);

	this.instance_3 = new lib.CachedTexturedBitmap_67();
	this.instance_3.parent = this;
	this.instance_3.setTransform(3.3,0,0.5,0.5);

	this.instance_4 = new lib.CachedTexturedBitmap_69();
	this.instance_4.parent = this;
	this.instance_4.setTransform(3.3,0,0.5,0.5);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_1},{t:this.instance}]}).to({state:[{t:this.instance_1},{t:this.instance_2}]},1).to({state:[{t:this.instance_1},{t:this.instance_3}]},1).to({state:[{t:this.instance_1},{t:this.instance_4}]},1).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,21,24);


(lib.button2 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer 1
	this.instance = new lib.CachedTexturedBitmap_55();
	this.instance.parent = this;
	this.instance.setTransform(3.3,0,0.5,0.5);

	this.instance_1 = new lib.CachedTexturedBitmap_84();
	this.instance_1.parent = this;
	this.instance_1.setTransform(0,1.75,0.5,0.5);

	this.instance_2 = new lib.CachedTexturedBitmap_57();
	this.instance_2.parent = this;
	this.instance_2.setTransform(3.3,0,0.5,0.5);

	this.instance_3 = new lib.CachedTexturedBitmap_59();
	this.instance_3.parent = this;
	this.instance_3.setTransform(3.3,0,0.5,0.5);

	this.instance_4 = new lib.CachedTexturedBitmap_61();
	this.instance_4.parent = this;
	this.instance_4.setTransform(3.3,0,0.5,0.5);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_1},{t:this.instance}]}).to({state:[{t:this.instance_1},{t:this.instance_2}]},1).to({state:[{t:this.instance_1},{t:this.instance_3}]},1).to({state:[{t:this.instance_1},{t:this.instance_4}]},1).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,21,24);


(lib.button1 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer 1
	this.instance = new lib.CachedTexturedBitmap_47();
	this.instance.parent = this;
	this.instance.setTransform(3.3,0,0.5,0.5);

	this.instance_1 = new lib.CachedTexturedBitmap_84();
	this.instance_1.parent = this;
	this.instance_1.setTransform(0,1.75,0.5,0.5);

	this.instance_2 = new lib.CachedTexturedBitmap_49();
	this.instance_2.parent = this;
	this.instance_2.setTransform(3.3,0,0.5,0.5);

	this.instance_3 = new lib.CachedTexturedBitmap_51();
	this.instance_3.parent = this;
	this.instance_3.setTransform(3.3,0,0.5,0.5);

	this.instance_4 = new lib.CachedTexturedBitmap_53();
	this.instance_4.parent = this;
	this.instance_4.setTransform(3.3,0,0.5,0.5);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_1},{t:this.instance}]}).to({state:[{t:this.instance_1},{t:this.instance_2}]},1).to({state:[{t:this.instance_1},{t:this.instance_3}]},1).to({state:[{t:this.instance_1},{t:this.instance_4}]},1).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,21,24);


// stage content:
(lib.sandwichphoto = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Fade In Movie Clip
		Fades in the symbol instance by increasing its alpha property within an Tick event until it is fully visible.
		
		Instructions:
		1. To change the speed at which the symbol instance fades in, change the 0.01 value below (the number must be greater than 0 and less than or equal to 1). Higher values cause faster fade in.
		2. Because the animation uses an Tick event, it progresses only when the playhead moves to a new frame. The speed of the animation is also affected by the document frame rate.
		*/
		
		var picture_FadeInCbk = fl_FadeSymbolIn.bind(this);
		this.addEventListener('tick', picture_FadeInCbk);
		this.picture.alpha = 0;
		
		function fl_FadeSymbolIn()
		{
			this.picture.alpha += 0.05;
			if(this.picture.alpha >= 1)
			{
				this.removeEventListener('tick', picture_FadeInCbk);
			}
		}
	}
	this.frame_48 = function() {
		/* Fade In Movie Clip
		Fades in the symbol instance by increasing its alpha property within an Tick event until it is fully visible.
		
		Instructions:
		1. To change the speed at which the symbol instance fades in, change the 0.01 value below (the number must be greater than 0 and less than or equal to 1). Higher values cause faster fade in.
		2. Because the animation uses an Tick event, it progresses only when the playhead moves to a new frame. The speed of the animation is also affected by the document frame rate.
		*/
		
		var picture_FadeInCbk = fl_FadeSymbolIn_2.bind(this);
		this.addEventListener('tick', picture_FadeInCbk);
		this.picture.alpha = 0;
		
		function fl_FadeSymbolIn_2()
		{
			this.picture.alpha += 0.05;
			if(this.picture.alpha >= 1)
			{
				this.removeEventListener('tick', picture_FadeInCbk);
			}
		}
	}
	this.frame_95 = function() {
		/* Fade In Movie Clip
		Fades in the symbol instance by increasing its alpha property within an Tick event until it is fully visible.
		
		Instructions:
		1. To change the speed at which the symbol instance fades in, change the 0.01 value below (the number must be greater than 0 and less than or equal to 1). Higher values cause faster fade in.
		2. Because the animation uses an Tick event, it progresses only when the playhead moves to a new frame. The speed of the animation is also affected by the document frame rate.
		*/
		
		var picture_FadeInCbk = fl_FadeSymbolIn_3.bind(this);
		this.addEventListener('tick', picture_FadeInCbk);
		this.picture.alpha = 0;
		
		function fl_FadeSymbolIn_3()
		{
			this.picture.alpha += 0.05;
			if(this.picture.alpha >= 1)
			{
				this.removeEventListener('tick', picture_FadeInCbk);
			}
		}
	}
	this.frame_146 = function() {
		/* Fade In Movie Clip
		Fades in the symbol instance by increasing its alpha property within an Tick event until it is fully visible.
		
		Instructions:
		1. To change the speed at which the symbol instance fades in, change the 0.01 value below (the number must be greater than 0 and less than or equal to 1). Higher values cause faster fade in.
		2. Because the animation uses an Tick event, it progresses only when the playhead moves to a new frame. The speed of the animation is also affected by the document frame rate.
		*/
		
		var picture_FadeInCbk = fl_FadeSymbolIn_4.bind(this);
		this.addEventListener('tick', picture_FadeInCbk);
		this.picture.alpha = 0;
		
		function fl_FadeSymbolIn_4()
		{
			this.picture.alpha += 0.05;
			if(this.picture.alpha >= 1)
			{
				this.removeEventListener('tick', picture_FadeInCbk);
			}
		}
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(48).call(this.frame_48).wait(47).call(this.frame_95).wait(51).call(this.frame_146).wait(48));

	// border
	this.instance = new lib.CachedTexturedBitmap_45();
	this.instance.parent = this;
	this.instance.setTransform(-0.5,-0.5,0.5,0.5);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(48).to({_off:true},144).wait(2));

	// Layer_6
	this.button4 = new lib.button4();
	this.button4.name = "button4";
	this.button4.parent = this;
	this.button4.setTransform(255.15,389.45,1,1,0,0,0,10.5,12.1);
	new cjs.ButtonHelper(this.button4, 0, 1, 2, false, new lib.button4(), 3);

	this.button3 = new lib.button3();
	this.button3.name = "button3";
	this.button3.parent = this;
	this.button3.setTransform(228.2,389.45,1,1,0,0,0,10.5,12.1);
	this.button3.alpha = 0.5;
	new cjs.ButtonHelper(this.button3, 0, 1, 2, false, new lib.button3(), 3);

	this.button2 = new lib.button2();
	this.button2.name = "button2";
	this.button2.parent = this;
	this.button2.setTransform(201.35,389.45,1,1,0,0,0,10.5,12.1);
	this.button2.alpha = 0.5;
	new cjs.ButtonHelper(this.button2, 0, 1, 2, false, new lib.button2(), 3);

	this.button1 = new lib.button1();
	this.button1.name = "button1";
	this.button1.parent = this;
	this.button1.setTransform(174.5,389.45,1,1,0,0,0,10.5,12.1);
	this.button1.alpha = 0.5;
	new cjs.ButtonHelper(this.button1, 0, 1, 2, false, new lib.button1(), 3);

	this.pause = new lib.buttonpause();
	this.pause.name = "pause";
	this.pause.parent = this;
	this.pause.setTransform(147.65,389.45,1,1,0,0,0,10.5,12.1);
	new cjs.ButtonHelper(this.pause, 0, 1, 2, false, new lib.buttonpause(), 3);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[]}).to({state:[{t:this.pause},{t:this.button1},{t:this.button2},{t:this.button3},{t:this.button4}]},145).to({state:[]},47).wait(2));

	// Layer_5
	this.picture = new lib.photo4_1();
	this.picture.name = "picture";
	this.picture.parent = this;
	this.picture.setTransform(135,202.5,1,1,0,0,0,135,202.5);
	this.picture._off = true;

	this.timeline.addTween(cjs.Tween.get(this.picture).wait(145).to({_off:false},0).to({_off:true},47).wait(2));

	// Layer_4
	this.button4_1 = new lib.button4();
	this.button4_1.name = "button4_1";
	this.button4_1.parent = this;
	this.button4_1.setTransform(255.15,389.45,1,1,0,0,0,10.5,12.1);
	this.button4_1.alpha = 0.5;
	new cjs.ButtonHelper(this.button4_1, 0, 1, 2, false, new lib.button4(), 3);

	this.button3_1 = new lib.button3();
	this.button3_1.name = "button3_1";
	this.button3_1.parent = this;
	this.button3_1.setTransform(228.2,389.45,1,1,0,0,0,10.5,12.1);
	new cjs.ButtonHelper(this.button3_1, 0, 1, 2, false, new lib.button3(), 3);

	this.button2_1 = new lib.button2();
	this.button2_1.name = "button2_1";
	this.button2_1.parent = this;
	this.button2_1.setTransform(201.35,389.45,1,1,0,0,0,10.5,12.1);
	this.button2_1.alpha = 0.5;
	new cjs.ButtonHelper(this.button2_1, 0, 1, 2, false, new lib.button2(), 3);

	this.button1_1 = new lib.button1();
	this.button1_1.name = "button1_1";
	this.button1_1.parent = this;
	this.button1_1.setTransform(174.5,389.45,1,1,0,0,0,10.5,12.1);
	this.button1_1.alpha = 0.5;
	new cjs.ButtonHelper(this.button1_1, 0, 1, 2, false, new lib.button1(), 3);

	this.pause_1 = new lib.buttonpause();
	this.pause_1.name = "pause_1";
	this.pause_1.parent = this;
	this.pause_1.setTransform(147.65,389.45,1,1,0,0,0,10.5,12.1);
	new cjs.ButtonHelper(this.pause_1, 0, 1, 2, false, new lib.buttonpause(), 3);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[]}).to({state:[{t:this.pause_1},{t:this.button1_1},{t:this.button2_1},{t:this.button3_1},{t:this.button4_1}]},95).to({state:[]},50).wait(49));

	// Layer_3
	this.picture_1 = new lib.photo3_1();
	this.picture_1.name = "picture_1";
	this.picture_1.parent = this;
	this.picture_1.setTransform(135,202.5,1,1,0,0,0,135,202.5);
	this.picture_1._off = true;

	this.timeline.addTween(cjs.Tween.get(this.picture_1).wait(95).to({_off:false},0).to({_off:true},50).wait(49));

	// Layer_2
	this.button4_2 = new lib.button4();
	this.button4_2.name = "button4_2";
	this.button4_2.parent = this;
	this.button4_2.setTransform(255.15,389.45,1,1,0,0,0,10.5,12.1);
	this.button4_2.alpha = 0.5;
	new cjs.ButtonHelper(this.button4_2, 0, 1, 2, false, new lib.button4(), 3);

	this.button3_2 = new lib.button3();
	this.button3_2.name = "button3_2";
	this.button3_2.parent = this;
	this.button3_2.setTransform(228.2,389.45,1,1,0,0,0,10.5,12.1);
	this.button3_2.alpha = 0.5;
	new cjs.ButtonHelper(this.button3_2, 0, 1, 2, false, new lib.button3(), 3);

	this.button2_2 = new lib.button2();
	this.button2_2.name = "button2_2";
	this.button2_2.parent = this;
	this.button2_2.setTransform(201.35,389.45,1,1,0,0,0,10.5,12.1);
	new cjs.ButtonHelper(this.button2_2, 0, 1, 2, false, new lib.button2(), 3);

	this.button1_2 = new lib.button1();
	this.button1_2.name = "button1_2";
	this.button1_2.parent = this;
	this.button1_2.setTransform(174.5,389.45,1,1,0,0,0,10.5,12.1);
	this.button1_2.alpha = 0.5;
	new cjs.ButtonHelper(this.button1_2, 0, 1, 2, false, new lib.button1(), 3);

	this.pause_2 = new lib.buttonpause();
	this.pause_2.name = "pause_2";
	this.pause_2.parent = this;
	this.pause_2.setTransform(147.65,389.45,1,1,0,0,0,10.5,12.1);
	new cjs.ButtonHelper(this.pause_2, 0, 1, 2, false, new lib.buttonpause(), 3);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[]}).to({state:[{t:this.pause_2},{t:this.button1_2},{t:this.button2_2},{t:this.button3_2},{t:this.button4_2}]},48).to({state:[]},47).wait(99));

	// Layer_1
	this.picture_2 = new lib.photo2_1();
	this.picture_2.name = "picture_2";
	this.picture_2.parent = this;
	this.picture_2.setTransform(135,202.5,1,1,0,0,0,135,202.5);
	this.picture_2._off = true;

	this.timeline.addTween(cjs.Tween.get(this.picture_2).wait(48).to({_off:false},0).to({_off:true},47).wait(99));

	// buttons
	this.button4_3 = new lib.button4();
	this.button4_3.name = "button4_3";
	this.button4_3.parent = this;
	this.button4_3.setTransform(255.15,389.45,1,1,0,0,0,10.5,12.1);
	this.button4_3.alpha = 0.5;
	new cjs.ButtonHelper(this.button4_3, 0, 1, 2, false, new lib.button4(), 3);

	this.button3_3 = new lib.button3();
	this.button3_3.name = "button3_3";
	this.button3_3.parent = this;
	this.button3_3.setTransform(228.2,389.45,1,1,0,0,0,10.5,12.1);
	this.button3_3.alpha = 0.5;
	new cjs.ButtonHelper(this.button3_3, 0, 1, 2, false, new lib.button3(), 3);

	this.button2_3 = new lib.button2();
	this.button2_3.name = "button2_3";
	this.button2_3.parent = this;
	this.button2_3.setTransform(201.35,389.45,1,1,0,0,0,10.5,12.1);
	this.button2_3.alpha = 0.5;
	new cjs.ButtonHelper(this.button2_3, 0, 1, 2, false, new lib.button2(), 3);

	this.button1_3 = new lib.button1();
	this.button1_3.name = "button1_3";
	this.button1_3.parent = this;
	this.button1_3.setTransform(174.5,389.45,1,1,0,0,0,10.5,12.1);
	new cjs.ButtonHelper(this.button1_3, 0, 1, 2, false, new lib.button1(), 3);

	this.pause_3 = new lib.buttonpause();
	this.pause_3.name = "pause_3";
	this.pause_3.parent = this;
	this.pause_3.setTransform(147.65,389.45,1,1,0,0,0,10.5,12.1);
	new cjs.ButtonHelper(this.pause_3, 0, 1, 2, false, new lib.buttonpause(), 3);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.pause_3},{t:this.button1_3},{t:this.button2_3},{t:this.button3_3},{t:this.button4_3}]}).to({state:[]},48).wait(146));

	// image
	this.picture_3 = new lib.photo1_1();
	this.picture_3.name = "picture_3";
	this.picture_3.parent = this;
	this.picture_3.setTransform(135,202.5,1,1,0,0,0,135,202.5);

	this.timeline.addTween(cjs.Tween.get(this.picture_3).to({_off:true},48).wait(146));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,270.5,405.5);
// library properties:
lib.properties = {
	id: '1D4280D5A4E3724CA16E10A952249C7B',
	width: 271,
	height: 406,
	fps: 24,
	color: "#3366CC",
	opacity: 1.00,
	manifest: [
		{src:"images/sandwichphoto_atlas_.png", id:"sandwichphoto_atlas_"}
	],
	preloads: []
};



// bootstrap callback support:

(lib.Stage = function(canvas) {
	createjs.Stage.call(this, canvas);
}).prototype = p = new createjs.Stage();

p.setAutoPlay = function(autoPlay) {
	this.tickEnabled = autoPlay;
}
p.play = function() { this.tickEnabled = true; this.getChildAt(0).gotoAndPlay(this.getTimelinePosition()) }
p.stop = function(ms) { if(ms) this.seek(ms); this.tickEnabled = false; }
p.seek = function(ms) { this.tickEnabled = true; this.getChildAt(0).gotoAndStop(lib.properties.fps * ms / 1000); }
p.getDuration = function() { return this.getChildAt(0).totalFrames / lib.properties.fps * 1000; }

p.getTimelinePosition = function() { return this.getChildAt(0).currentFrame / lib.properties.fps * 1000; }

an.bootcompsLoaded = an.bootcompsLoaded || [];
if(!an.bootstrapListeners) {
	an.bootstrapListeners=[];
}

an.bootstrapCallback=function(fnCallback) {
	an.bootstrapListeners.push(fnCallback);
	if(an.bootcompsLoaded.length > 0) {
		for(var i=0; i<an.bootcompsLoaded.length; ++i) {
			fnCallback(an.bootcompsLoaded[i]);
		}
	}
};

an.compositions = an.compositions || {};
an.compositions['1D4280D5A4E3724CA16E10A952249C7B'] = {
	getStage: function() { return exportRoot.getStage(); },
	getLibrary: function() { return lib; },
	getSpriteSheet: function() { return ss; },
	getImages: function() { return img; }
};

an.compositionLoaded = function(id) {
	an.bootcompsLoaded.push(id);
	for(var j=0; j<an.bootstrapListeners.length; j++) {
		an.bootstrapListeners[j](id);
	}
}

an.getComposition = function(id) {
	return an.compositions[id];
}


an.makeResponsive = function(isResp, respDim, isScale, scaleType, domContainers) {		
	var lastW, lastH, lastS=1;		
	window.addEventListener('resize', resizeCanvas);		
	resizeCanvas();		
	function resizeCanvas() {			
		var w = lib.properties.width, h = lib.properties.height;			
		var iw = window.innerWidth, ih=window.innerHeight;			
		var pRatio = window.devicePixelRatio || 1, xRatio=iw/w, yRatio=ih/h, sRatio=1;			
		if(isResp) {                
			if((respDim=='width'&&lastW==iw) || (respDim=='height'&&lastH==ih)) {                    
				sRatio = lastS;                
			}				
			else if(!isScale) {					
				if(iw<w || ih<h)						
					sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==1) {					
				sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==2) {					
				sRatio = Math.max(xRatio, yRatio);				
			}			
		}			
		domContainers[0].width = w * pRatio * sRatio;			
		domContainers[0].height = h * pRatio * sRatio;			
		domContainers.forEach(function(container) {				
			container.style.width = w * sRatio + 'px';				
			container.style.height = h * sRatio + 'px';			
		});			
		stage.scaleX = pRatio*sRatio;			
		stage.scaleY = pRatio*sRatio;			
		lastW = iw; lastH = ih; lastS = sRatio;            
		stage.tickOnUpdate = false;            
		stage.update();            
		stage.tickOnUpdate = true;		
	}
}


})(createjs = createjs||{}, AdobeAn = AdobeAn||{});
var createjs, AdobeAn;